#!/bin/sh
# Script for removing entries in the phonebook-
# Entry will be deleted in default _and_ peronal phonebook.
# Date: 17. April  2006
# Programmer: IR Technik AG, Luzern, Manuel Raeber
# Input: Aktive Nummer (bei Anruf zu verwendendes Telefon), name des peroenlichen
#        Telefonbuches (Kommagetrennt). z. B. cm.cgi?SIP/200,userxy
# Achtung: asterisk und httpd muessen schreibrechte auf $datadir haben

# Definitionen
datadir='/var/lib/asterisk/cm-data/'
booklist="${datadir}default.lst"
lst_tmp="${datadir}tmp.lst"
asthost='192.168.0.5'
cgidir='cgi-bin'
cmname='cm.cgi'

# Uebergebene Parameter in Variablen speichern
del_nmbr=`echo -e $1 | cut -d\, -f1`
src_nmbr=`echo -e $1 | cut -d\, -f2`
bookname=`echo -e $1 | cut -d\, -f3`

perslist="${datadir}${bookname}.lst"

# Remove entry in default list
sed '/'${del_nmbr}'/d' $booklist > $lst_tmp
rm $booklist
mv $lst_tmp $booklist

#Remove entry in peronal list
sed '/'${del_nmbr}'/d' $perslist > $lst_tmp
rm $perslist
mv $lst_tmp $perslist

echo -e "Location: http://${asthost}/${cgidir}/${cmname}?${src_nmbr},${bookname}\n\n"
echo -e "Content-type: text/html\n\n"

