#!/usr/bin/perl
#
# CGI Script um SMS zu versenden
# Datum: 23. Maerz 2006
# Programmer: IR Technik AG, Luzern, Manuel Raeber
# ACHTUNG: /var/spool/asterisk/sms und die Unterverzeichnisse muessen Schreibrechte fuer user "asterisk" haben.

### Einstellungen fuer SMS Versand
# Pfad und name fuer Asterisk smsq
$smsprg = "/usr/sbin/smsq";
# Channel und Nummer fuer Service Center
$smssvc = "SIP/0800800800@yourprovider";
# Vorwahl fuer ausgehenden CID
$aeracode = "041";

read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

# Split the name-value pairs
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
    ($name, $value) = split(/=/, $pair);

    # Un-Webify plus signs and %-encoding
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $FORM{$name} = $value; }

my $smscid=`grep -i $FORM{'src_nmbr'} /var/lib/asterisk/cm-data/cid.lst | cut -d';' -f2`;
$smscid = $aeracode . $smscid;
$smscid  =~ s/\s+$//;
print "\n";
print "Content-type: text/html\n\n";
print "Nummer: $FORM{'dest_nmbr'}\n";
print "Text:   $FORM{'text'}\n";
print "CID:    $smscid\n";

system("$smsprg --mo --motx-retries 2 --motx-callerid \"$smscid\" --motx-channel=$smssvc $FORM{'dest_nmbr'} \"$FORM{'text'}\"");

print "$smsprg --mo --motx-retries 2 --motx-callerid \"$smscid\" --motx-channel=$smssvc $FORM{'dest_nmbr'} \"$FORM{'text'}\"";

